#ifndef HITBOX_H
#define HITBOX_H

#include "../graphics/shippingHandler.h"
#include "../interface/Input.h"
#include "../util/mathUtils.h"

class HitBox {
 public:
  HitBox();
  ~HitBox();

  //sets up position
  void setPosition (int, int);
  //gets position
  int getPosX ();
  int getPosY ();

  //accesses wasHit
  bool getWasHit ();
  //position where the HitBox was hit
  int getWasHitX ();
  int getWasHitY ();
  //button used to hit
  int getWasHitMouseButton();
  //clears wasHit
  void clearWasHit();

  //sees if it was hit
  bool wasHitBoxHit(int mouseX, int mouseY, int mouseButton);

  //sets the shape.
  void setShape (const string &, vector <int> &);
  //get Shape information.
  void getShape (string &, vector <int> &);
  //get radius, assuming it's a circle hitbox
  int getRadius();

 private:
  bool wasHit;
  int posX, posY;
  int wasHitX, wasHitY, wasHitMouseButton;
  string shape;
  vector <int> size;
};

#endif
